Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Public Attributes | List of all members
Ofcas.Lk.Api.Client.Core.ElevationInfo Class Reference

Represents the metadata to a Elevation More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.ElevationInfo:

## Public Member Functions
bool | IsTextElevation ()
bool | IsMaterialElevation ()
TextElevationInfo | AsTextElevation ()
bool | IsElementPricelistElevation ()
ElementPricelistElevationInfo | AsElementPricelistElevation ()
MaterialElevationInfo | AsMaterialElevation ()

## Public Attributes
Guid | Guid => Data.ElevationGuid
| Defines the unique identifier for the elevation. This Guid is valid during the hole lifetime of the elevation. More...
Guid | LkVersionGuid => VersionGuid
| This property is deprecated. Please use ElevationInfo.VersionGuid instead. More...
Guid | VersionGuid => Data.VersionGuid
| Every elevation has a unique identifer (see Guid for the hole lifetime of an elevation. The version Guid defines the current state of the elevation. More...
string | Name => Data.Number
| The name of the elevation More...
string | UserDescription => Data.UserDescription
string | ModelDescription => Data.ModelDescription
string | AutomaticDescription => Data.AutomaticDescription
string | SystemDescription => Data.SystemDescription
| The containing system. More...
bool | Deleted => Data.IsDeleted
| Determines the elevation is deleted (true). More...
bool | IsDeleted => Data.IsDeleted
| Determines the elevation is deleted (true). More...
string | CreatedByUser => Data.CreatedByUser
ulong | CreatedDate => Data.CreatedDate
ulong | LastChangeDate => Data.LastChangeDate
double | Height => Data.Height
double | Width => Data.Width
string | UValue => Data.UValue
string | SurfaceBaseElement => Data.SurfaceBaseElement.Name
int | SurfaceBaseElementInsideRgb => Data.SurfaceBaseElement.InsideRgb
int | SurfaceBaseElementOutsideRgb => Data.SurfaceBaseElement.OutsideRgb
string | SurfaceFrameElement => Data.SurfaceFrameElement.Name
int | SurfaceFrameElementInsideRgb => Data.SurfaceFrameElement.InsideRgb
int | SurfaceFrameElementOutsideRgb => Data.SurfaceFrameElement.OutsideRgb
IElevationProcessingStatus | ProcessingStatus => Data.ProcessingStatus
| The process status of the elevation. More...
ElevationStatus | StatusId => (ElevationStatus)ProcessingStatus.Id
string | StatusName => ProcessingStatus.Name
string | CloudUrn => Data.CloudUrn
ElevationFinishedState | State => Data.State
ElementType | ElementType => new ElementType(Data.ElementType)
bool | IsAlternative => Data.IsAlternative
double | Amount => Data.Amount
| Returns the amount of instances of this elevation. Please note: This property will be moved in the future and not be available for all types of elevation. More...
bool | HasBackup => Data.HasBackup
| Returns whether or not this elevation currently has a backup file that needs to be restored or deleted. More...

## Additional Inherited Members
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInfoData, Phase, PhaseInfo >
| CoreInfo (TData data)
| CoreInfo (TData data, TParent parent)
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInfoData, Phase, PhaseInfo >
TData | Data`[get]`
TParent | ParentInfo`[get, set]`
TParentObject | Parent`[get, set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoDeletable
bool | Deleted`[get]`
| Indicated if this core info is deleted. More...
bool | IsDeleted`[get]`
| Indicated if this core info is deleted. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoWithGuid
Guid | Guid`[get]`
| The globally unique identifier of an info object. More...

## Detailed Description

Represents the metadata to a Elevation

## Member Data Documentation

## ◆ Amount

double Ofcas.Lk.Api.Client.Core.ElevationInfo.Amount => Data.Amount

Returns the amount of instances of this elevation. Please note: This property will be moved in the future and not be available for all types of elevation.

## ◆ Deleted

bool Ofcas.Lk.Api.Client.Core.ElevationInfo.Deleted => Data.IsDeleted

Determines the elevation is deleted (true).

## ◆ Guid

Guid Ofcas.Lk.Api.Client.Core.ElevationInfo.Guid => Data.ElevationGuid

Defines the unique identifier for the elevation. This Guid is valid during the hole lifetime of the elevation.

## ◆ HasBackup

bool Ofcas.Lk.Api.Client.Core.ElevationInfo.HasBackup => Data.HasBackup

Returns whether or not this elevation currently has a backup file that needs to be restored or deleted.

## ◆ IsDeleted

bool Ofcas.Lk.Api.Client.Core.ElevationInfo.IsDeleted => Data.IsDeleted

Determines the elevation is deleted (true).

## ◆ LkVersionGuid

Guid Ofcas.Lk.Api.Client.Core.ElevationInfo.LkVersionGuid => VersionGuid

This property is deprecated. Please use ElevationInfo.VersionGuid instead.

## ◆ Name

string Ofcas.Lk.Api.Client.Core.ElevationInfo.Name => Data.Number

The name of the elevation

## ◆ ProcessingStatus

IElevationProcessingStatus Ofcas.Lk.Api.Client.Core.ElevationInfo.ProcessingStatus => Data.ProcessingStatus

The process status of the elevation.

## ◆ SystemDescription

string Ofcas.Lk.Api.Client.Core.ElevationInfo.SystemDescription => Data.SystemDescription

The containing system.

## ◆ VersionGuid

Guid Ofcas.Lk.Api.Client.Core.ElevationInfo.VersionGuid => Data.VersionGuid

Every elevation has a unique identifer (see Guid for the hole lifetime of an elevation. The version Guid defines the current state of the elevation.

The documentation for this class was generated from the following file:

- ElevationInfo.cs